---
api: 'Merchant API'
---

# Update a customer (Deprecated)

Update the attributes of a specific `customer`.

## Endpoint

PATCH `/api/1.0/customers/{customer_id}`

> This endpoint is **deprecated**.

## Request body

### Attributes

- `full_name` (string, optional)
    The full name of the customer.
- `business_name` (string, optional)
    The name of the customer's business.
- `email` (string, optional)
    The email address of the customer. 
    
    :::note
    This value must be unique for each customer for one merchant. If the email address matches an existing customer, an error is returned.
    :::
- `phone` (string, optional)
    The phone number of the customer in [E.164 format](https://en.wikipedia.org/wiki/E.164).
- `date_of_birth` (string, optional)
    The birth date of the customer.

## Returns

### 200

OK

#### Response attributes

- `id` (string)
    Permanent customer ID used to retrieve, update, and delete a customer.
- `full_name` (string, optional)
    The full name of the customer.
- `business_name` (string, optional)
    The name of the customer's business.
- `phone` (string, optional)
    The phone number of the customer in [E.164 format](https://en.wikipedia.org/wiki/E.164).
- `created_at` (string)
    The date and time the customer was created.
- `updated_at` (string)
    The data and time the customer was last updated.
- `email` (string)
    The email address of the customer.
- `date_of_birth` (string, optional)
    The birth date of the customer.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
| 404 | Not Found |
